body {
    margin: 0; font-family: Arial, Helvetica, sans-serif;
    background: url(/public/images/customization/Common/internal_pfaroe_profile_logout/image07_en.gif) #F2F2F2 repeat-x; font-size: 0.75em;
}
#header, #content, #footer{
    width: 700px; margin: 0 auto; clear: both; overflow: hidden;
}
#wrapper{
}
#header{
    color: #fff; height: 360px;
}
a{
    color: #3A2857;
}
h1, h2{
	font-weight: normal;
}

#header{
	position: relative;
}
#header #logo{
	clear: both; width: 100%; margin: 150px 0 0 0;
}
#header h1{
	float: left; width: 380px; margin: 10px 0; padding: 0; font-size: 2.6em;
}
#header #auth{
	position: absolute; width: 300px; bottom: 10px; right: 0;
}
#header #auth *{
	clear: both; margin: 3px 0;
}
#header a{
	color: #ffcc00;
}

.left{
	width: 360px; float: left;
}
.right{
	width: 300px; float: right;
}

#content{
	overflow: hidden;
}
#content h2{
	font-size: 1.8em; color: #808080; margin: 20px 0; padding: 0;
}
#content ul{
	margin: 10px 0; padding: 0;
}
#content li{
	list-style: none; margin: 0; padding: 5px 0; border-bottom: 1px solid #ccc;
}
#content li:last-child{
	border: 0px;
}
#content .right{
	padding-top: 15px;
}

#footer{
	font-size: 0.75em; color: #808080; padding-top: 20px; 
}
#footer .right{
	padding-top: 20px; text-align: right;
}

p{
	padding: 0 0 10px 0; margin: 0; 
}
input{
	border: 1px solid #fff; padding: 3px; background: #fff; width: 230px; 
}
input.focus{
	border: 2px solid #FFCC00; padding: 2px;
}
input.credentials_input_submit{
	border: none; width: 80px; background: #49ACE8 ; padding: 6px; border-radius: 2px; text-align: ; color: #fff; cursor: pointer;
}
input.credentials_input_submit:hover{
	color: #fff; background: #A51364;	
}
input.credentials_input_submit:active, input.credentials_input_submit:active:hover{
	border: 1px solid #fff; color: #fff; background-position: top right; 
}

button.credentials_input_submit{
    border: none; width: 230px; background: #49ACE8 ; padding: 6px; border-radius: 2px; text-align: ; color: #fff; cursor: pointer;
}
button.credentials_input_submit:hover{
	color: #fff; background: #A51364;	
}
button.credentials_input_submit:active, input.credentials_input_submit:active:hover{
	border: 1px solid #fff; color: #fff; background-position: top right; 
}

.auth-button-icon {
    display: flex;
    width: 21px;
    height: 21px;
    background-repeat: no-repeat;
    background-size: 21px 21px;
    text-align: center;
    margin:0px;
}

.auth-button {
    display: flex;
    align-items: center;
    margin-bottom: 11px;
    width: 100%;
    border: solid 1px #000;
    border-radius: 3px;
    background-color: #fff;
    cursor: pointer;
}

.auth-button-label {
    padding-left: 20px;
    display: flex;
    text-align: left;
}

input.important{
	border: 2px solid #ffcc00; font-weight: bold; color: #ffcc00; width: 150px; background-position: bottom right; 
}
input.important:hover{
	border: 2px solid #fff; font-weight: bold; color: #fff; background-position: top right; 
}

#legal{
	position: absolute; width: 100%; height: 100%; background: url(/public/images/customization/Common/internal_pfaroe_profile_logout/image02_en.png); left: 0; top: 0; display: none;
}
#text{
	position: relative; width: 650px; margin: 20px auto 0 auto; background-color: #fff;
	font-size: 0.9em; border: 1px solid #fff;
}
#tandc .left, #tandc .right{
	width: 250px;
}
#tandc{
	padding: 10px;
}
#tandc h3{
	margin: 10px 0; padding: 0;
}
#tandc a{
	font-weight: bold; display: block; padding-top: 5px; border-top: 1px solid #808080;
}
#tandc-header{
	width: 100%; background: rgb(58,58,152); height: 80px; overflow: hidden; padding: 10px;
}

#auth .titlebar{
	display: none;
}
#auth td{
	width: auto; height: auto; font-size: 9pt; color: #fff;
}
#auth td font{
	color: #fff;
}
#auth span.bodytext.error{
	color: #ffcc00; font-weight: bold; display: block
}
#auth table{
	margin-top: -50px; display: block;
}
#auth img{
	display: none;
}

#auth td#interaction_table_header{
	font-size: 1em;
} 

/*********************************************************
* Custom protocol installation dialog boxes related styles
*/

div.cphBackgroundDimmed {
    background-color: rgba(255, 255, 255, 0.80);
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 10;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    visibility: hidden;
}

div.cphDownloadDialogDIV {
    background-color: #fefefe;
    border-style: solid;
    border-color: #6b6b6b;
    border-width: 1px;
    text-decoration: none;

    position: absolute;
    max-width: 620px;
    height: auto;
    max-height: 600px;
    display: table;

    z-index: 100;
    text-align: left;
    margin: auto;

    left: 0;
    right: 0;
    top: 40px;
    opacity: 10;
}

div.cphPopupHeaderDiv {
    background-image: url("/public/images/my/flogo_mobile.png");
    background-position: 4px 6px;
    background-repeat: no-repeat;
    box-sizing: border-box;
    width: 100%;
    height: 42px;
    z-index: 101;
    text-align: left;
    vertical-align: middle;
    background-color: #738495;
    padding-left: 46px;
    padding-right: 4px;
}

div.cphPopupBodyDiv {
    padding: 20px;
    padding-bottom: 24px;
}

div.cphCopyrightDiv {
    width: 600px;
    font-size: 9px;
    text-align: right;
    padding: 10px;
    padding-right: 18px;
}
div.cphCopyrightDiv:after {
    color: #808080;
    content: "This product is licensed from F5 Networks. © 1999-2019 F5 Networks. All rights reserved. ";
}

div.cphDownloadDialogDIV, div.cphDownloadDialogDIV *, div.cphPopupBodyDiv {
    font-family: 'Open Sans Regular', 'Noto Sans',Helvetica,Arial,sans-serif;
    color: #2c2e2f;
}

div.cphDownloadDialogDIV, div.cphDownloadDialogDIV span, div.cphDownloadDialogDIV td,
div.cphDownloadDialogDIV p, div.cphPopupBodyDiv, div.cphSkipTooltip {
    font-size: 13px;
}

div.cphPopupHeaderDiv td, div.cphCloseBtnDiv {
    font-family: 'Open Sans Regular',Helvetica,Arial,sans-serif;
    color: #ffffff;
    padding-right: 4px;
    font-size: 14px;
}

div.cphPopupHeaderDiv td {
    text-decoration: none;
    padding: 0px;
}

div.cphPopupHeaderDiv table {
    width: 100%;
    height: 100%;
    padding: 0px;
    border-width: 0px;
    border-spacing: 0px;
}

div.cphPopupBodyDiv {
    width: 100%;
    z-index: 101;
    text-align: left;
    box-sizing: border-box;
}

div.cphPopupBodyDiv h2 {
    margin: 20px 1px; 
    font-size: 32px;
}

div.cphPopupBodyDiv h3 {
    font-size: inherit;
    font-family: inherit;
    padding: 0px;
    margin: 0px;
    margin-bottom: 12px;
}

div.cphPopupBodyDiv table {
    color: #2c2e2f;
    width: 100%;
    padding: 0px 0px 0px 0px;
    border-width: 0px;
    border-spacing: 0px;
}

div.cphPopupBodyDiv tr, div.cphPopupBodyDiv td {
    text-decoration: none;
    padding: 0px;
}
div.cphPopupBodyDiv td {
    padding-right: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
}
div.cphPopupBodyDiv td:last-child {
    padding: 0px;
}

div.cphPopupBodyDiv a, div.cphPopupBodyDiv a.expander-link {
    color: #2c87f0;
    border-bottom: 1px solid #dbdbdb;
    text-decoration: none;
}

div.cphPopupBodyDiv a.expander-link {
    display: inline-block;
    margin-top: 1em;
}

.cphPopupExpandDiv {
    background-color: #fefefe;
    position: relative;
    margin-top: -2em;
    padding-top: 2em;
    display: none;
}

.cphPopupExpandDiv:target {
    display: block;
}

div.cphDownloadBtnDiv, div.cphSkipBtnDiv {
    text-align: center;
    vertical-align: middle;
    box-sizing: border-box;
    margin: 4px 1px;
    width: 160px;
    height: 32px;
    line-height: 32px;
    font-size: 13px;
    border-color: #cbcbcb;
    border-width: 1px;
    border-radius: 4px;
    border-style: solid;
    display: inline-block;
    background-image: linear-gradient(#ffffff, #d7d7d7);
}

div.cphPopupBodyDiv a.cphSkipLink {
    display: inline;
    text-align: left;
    text-decoration: none;
    border-bottom: 1px solid #dbdbdb;
}
div.cphSkipTooltip {
    margin: 5px 0px 5px 0px;
    visibility: hidden;
}
div.cphPopupBodyDiv a.cphSkipLink:hover + div.cphSkipTooltip {
    visibility: visible;
    transition-duration: 0.2s;
}

div.cphCloseBtnDiv  {
    text-align: right;
    margin: 4px 0px 0px 10px;
    box-sizing: border-box;
}

div.cphCloseBtnDiv:hover  {
    color: #ffffff;
}
div.cphCloseBtnDiv:after  {
    content:"\00d7";
    font-size: 28px;
    font-weight: lighter;
    font-family: Courier;
}

.cphBtnA {
    border: none !important;
    text-decoration: none !important;
}

.cphDivider {
    margin-top: 32px;
    margin-bottom: 18px;
    padding: 0;
    border: none;
    border-top-style: solid;
    border-top-width: 1px;
    border-top-color: #cccccc;
}

/*********************************************************
This part was automatically appended to apm_full.css to ensure compartibility with Webtop new look
*/

/* custom webtop header+footer */
table#page_header.f5cust
{
    background: #FFFFFF;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.24) 0 0 4px 0 rgba(0, 0, 0, 0.12);
}

table#page_header.f5cust td#header_rightcell span#webtop_header_message {
    float: left;
    top: 4px;
    color: #000000;
}

table#page_header.f5cust td#header_rightcell button#disconnect
{
    background: #f44336;
    padding: 0;
    border: 0;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.14), 0 3px 1px -2px rgba(0,0,0,0.12), 0 1px 5px 0 rgba(0,0,0,0.2);
}

table#page_header.f5cust td#header_rightcell button#disconnect:hover
{
    transition: 0.3s ease;
    background: #4285f4;
    box-shadow: 0px 0px 8px 0px rgba(0,0,0,0.10), 0px 5px 5px 0px rgba(0,0,0,0.22);
}

table#page_header.f5cust td#header_rightcell button#disconnect span
{
    padding: 4px 14px 9px 11px;
    color: #FFFFFF;
    display: block;
}

table#page_header.f5cust td#header_rightcell button#disconnect img
{
    display: none;
}

div#page_footer.f5cust
{
    border: 0;
    padding-bottom: 2px;
    text-align: center;
}

div#page_footer.f5cust div
{
    padding: 0px;
}
/* /custom webtop header+footer */

/* custom webtop body */
body.webtop2{
    background-color: #f8f8f8;
}

body.webtop_nohead2{
    background-color: #f8f8f8;
}
/* /custom webtop body */

/* replacing toolbar */
div#webtop_header_sep{
    width: 100%;
    height: 3px;
    background-color: #6d7982;
}

div#webtop_header_sep.f5cust{
    height: 5px;
    background-color: #f44336;
}
div#webtop_searchdiv{
    width: 100%;
    margin-top: 30px;
    margin-bottom: 10px;
}

div#webtop_searchdiv input#searchinp{
    width: 20%;
    min-width: 270px;
    height: 20px;
    padding: 5px 10px;
    border: 1px solid #d8d8d8;
    border-radius: 3px;
    background-color: white;
    font-style: italic;
    color: #808080;
}

div#webtop_searchdiv img#searchimg{
    margin: 0px 0px 2px -27px;
    width: 20px;
    height: 20px;
    vertical-align: middle;
}

div#webtop_settings{
    float: right;
    visibility: hidden;
    margin-right: 20px;
}

div#webtop_settings.freefloat {
    margin-bottom: -40px;
    margin-top: 10px;
}

div#webtop_settings div{
    display: inline-block;
    width: 32px;
    height: 32px;
    padding: 2px;
    cursor: pointer;
    border-radius: 50%;
    box-sizing: border-box;
    background-color: inherit;
}

div#webtop_settings div:hover{
    background-color: #d0d0d0;
}
div#webtop_settings div img{
    width: 28px;
    height: 28px;
}

div#noticebox{
   position: absolute;
   top: 0;
   display: none;
   width: 100%;
   background-color: rgb(247, 242, 219);
   padding: 10px 20px 10px 20px;
   text-align: center;
   opacity: 0.8;
   filter: alpha(opacity=80);
}
/* /replacing toolbar */

/* new inner and outer container */
div#webtop_favorites_outer_container2{
    width: 100%;
    padding-top: 5px;
    text-align: left;
    /*non-msie: page_alignment */
    clear: both;
    }

div#webtop_favorites_inner_container2{
    padding-right: 20px;
    text-align: left;
}

#webtop_favorites_inner_container2 div.resourcetype{
    display: block;
    margin: 22px 0px 8px 19px;
}

#webtop_favorites_inner_container2 div.resourcetype div.title::before{
    display: inline-block;
    content: "";
    vertical-align: middle;
    height: 100%;
}

#webtop_favorites_inner_container2 div.resourcetype div.title{
    display: inline;
    vertical-align: middle;
    font-size: 22px;
}

#webtop_favorites_inner_container2 div.resourcetype img.expand{
    display: inline;
    vertical-align: middle;
    margin-left: 10px;
    cursor: pointer;
}

#webtop_favorites_inner_container2 span.favorite{
    display: inline-block;
    width: 252px;
    height: 127px;
    margin: 5px 0px 15px 20px;

    vertical-align: top;

    border-radius: 2px;
    box-sizing: border-box;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.14), 0 3px 1px -2px rgba(0,0,0,0.12), 0 1px 5px 0 rgba(0,0,0,0.2);

    background: white;
    text-align: left;
}

#webtop_favorites_inner_container2 span.favorite:hover{
    cursor: pointer;
    box-shadow: 0px 0px 8px 0px rgba(0,0,0,0.10), 0px 6px 6px 0px rgba(0,0,0,0.22);
    transition: box-shadow 0.3s ease;
}
#webtop_favorites_inner_container2 span.favorite span.image{
    display: table-cell;
    padding: 17px 16px 17px 17px;
}

#webtop_favorites_inner_container2 span.favorite span.image img{
    width: 40px;
    height: 40px;
}

#webtop_favorites_inner_container2 span.favorite span.caption{
    width: 161px;
    display: table-cell;
    vertical-align: middle;
    font-size: 18px;
    word-wrap: break-word;
    word-break: break-all;
}

#webtop_favorites_inner_container2 span.favorite span.description{
    display: block;
    color: #707070;
    margin: -1px 17px 0px 17px;
    height: 35px;
    overflow: hidden;
    word-wrap: break-word;
}

#webtop_favorites_inner_container2 span.favorite span.caption span{
  display: inline-block;
  width: 161px;
  word-wrap: break-word;
}

@-moz-document url-prefix() {
  #webtop_favorites_inner_container2 span.favorite span.description{
    height: 38px;
  }
}

#webtop_favorites_inner_container2 span.favorite span.restart{
        display: table-cell;
    vertical-align: middle;
    
    width: 20px;
    }

#webtop_favorites_inner_container2 span.favorite span.restart img{
    
    width: 20px;
    height: 20px;

}
/* /new inner and outer container */

/* new browser citrix */
div.browserCitrix{
    border: 1px solid black;
    background: #f8f8f8;
    position: absolute;
    overflow: auto;
}
/* /new browser citrix */

#access_webtop_container table td div.apptstatus_name{
    text-overflow: ellipsis;
    width: inherit;
    white-space: nowrap;
    overflow: hidden;
}

/*** Start of TAS Auth *****/
#tas_auth_container {
    margin: 0px auto;
    padding : 5px;
    width: 95%;
    min-height: 78%;
    max-width: 350px;
    border-radius: 4px;
    background-color: #ffffff;
}
#tas_auth_container .overflow-auto{
    overflow: auto;
}
#tas_auth_container .width-100pct{
    width: 100%;
}
#tas_auth_container .normal-text{
    font-size: 15px;
    font-weight: normal;
    font-style: normal;
    font-stretch: normal;
    line-height: 1.36;
    letter-spacing: normal;
    color: #354052;
}
#tas_auth_container .bold{
    font-weight: bold;
}
#tas_auth_container .label-text {
    font-size: 12px;
    font-weight: 600;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    color: #7f8fa4;
}
#tas_auth_container .text-center{
    text-align: center;
}
#tas_auth_container .text-left{
    text-align: left;
}
#tas_auth_container .input[type="text"]{
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}
#tas_auth_container .input {
    -webkit-appearance: none;
    height: 36px;
    border-radius: 4px;
    background-color: #ffffff;
    border: solid 1px #dfe3e9;
    width: 100%;
}
#tas_auth_container .button{
    color: #ffffff;
    background-color: #1991eb;
    border: solid 1px #dfe3e9;
    cursor: pointer;
}
#tas_auth_container .link{
    color: #3b7adb;
    cursor: pointer;
}
#tas_auth_container .padding-5 {
    padding : 5px;
}
#tas_auth_container .margin-top-5 {
    margin-top: 5px;
}
#tas_auth_container .margin-top-15 {
    margin-top: 15px;
}
#tas_auth_container .margin-top-25{
    margin-top: 25px;
}
#tas_auth_container .margin-20-auto {
    margin: 20px auto;
}
#tas_auth_container .margin-bottom-20{
    margin-bottom: 20px;
}
#tas_auth_container .mobile-image-div{
    float: left;
}
#tas_auth_container .mobile-image{
    max-width: 120px;
    max-height: 156px;
}
#tas_auth_container .mobile-instruction-div{
    width: 100%;
    height: 156px;
    line-height: 156px;
}
#tas_auth_container .mobile-instruction-div p{
    float: right;
    margin-top: 22%;
    width: 59%;
    text-align: left;
}
#tas_auth_container #tokenError{
    font-size : 12px;
    color: red;
    float: left;
    margin: 1px 5px 5px 0px;
    display: none;
}
#tas_auth_container .error-color{
    color: #ff3434;
}
/*** End of TAS Auth *****/

/*** Start of TAS Device Reg ***/
#tas_registration_container {
    margin: 0px auto;
    padding-top: 5px;
    padding-bottom: 5px;
    border-radius: 4px;
    background-color: #ffffff;
    width: 95%;
    min-height: 78%;
    min-width: 300px;
}
#tas_registration_container .header{
    font-size: 24px;
    color: #354052;
    width: 95%;
    margin: 5px auto 5px auto;
    text-align: left;
}
#tas_registration_container .step-text{
    width: 95%;
    margin: 10px auto 10px auto;
    font-size: 14px;
    line-height: 1.36;
    color: #354052;
    text-align: left;
}
#tas_registration_container .section{
    width: 288px;
    vertical-align: top;
    display: inline-block;
}
#tas_registration_container .input[type="text"]{
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}
#tas_registration_container .input {
    -webkit-appearance: none;
    height: 36px;
    width: 100%;
    border-radius: 4px;
    background-color: #ffffff;
    border: solid 1px #dfe3e9;
}
#tas_registration_container .input[disabled="disabled"] {
    background-color: lightgrey;
}
#tas_registration_container .button {
    -webkit-appearance: none;
    font-size: 14px;
    font-weight: 600;
    line-height: 1.36;
    color: #ffffff;
    background-color: #1991eb;
    cursor: pointer;
}
#tas_registration_container .button[disabled="disabled"] {
    background-color: #8c8989;
}
#tas_registration_container .link-btn {
    padding: 6px 40%;
    text-decoration: none;
}
#tas_registration_container .padding-5{
    padding: 5px;
}
#tas_registration_container .margin-5-auto{
    margin: 5px auto;
}
#tas_registration_container .margin-top-10{
    margin-top: 10px;
}
#tas_registration_container .margin-bottom-30{
    margin-bottom: 30px;
}
#tas_registration_container .text-center{
    text-align: center;
}
#tas_registration_container .example-text{
    font-size: 13px;
    font-style: oblique;
    margin-top: 25px;
    margin-bottom: 0px;
}
#tas_registration_container #phoneError{
    font-size : 12px;
    color: red;
    float: left;
    margin: 1px 5px 5px 0px;
    display: none;
}
#tas_registration_container .sub-section{
    width: 95%;
    margin: 15px auto 5px auto;
}
#tas_registration_container #qrcode{
    width: 180px;
    height: 180px;
    margin: 5px auto 5px auto;
    cursor: none;
}
#tas_registration_container .separator-text{
    width:auto;
    vertical-align: middle;
    padding: 85px 10px 0px 10px;
}
/*** End of TAS Device Reg ***/ 
